package com.qihoo360.mobilesafe.reward.container

import android.content.Context
import android.util.AttributeSet
import android.widget.LinearLayout


abstract class ContainerBase : LinearLayout {

    protected val mContext: Context

    constructor(context: Context) : super(context) {
        orientation = LinearLayout.VERTICAL
        mContext = context
        ContainerWatcher.instance.addWatch(this)
    }

    constructor(context: Context, attrs: AttributeSet) : super(context, attrs) {
        orientation = LinearLayout.VERTICAL
        mContext = context
        ContainerWatcher.instance.addWatch(this)
    }


    protected abstract fun initView()

     abstract fun handleLoop()

}
