package com.qihoo360.mobilesafe.reward.presenter.view

import android.view.View
import com.qihoo360.mobilesafe.reward.data.ApullItemWrapper
import com.qihoo360.mobilesafe.reward.data.RewardUtils
import com.qihoo360.mobilesafe.reward.ui.page.dialog.RewardDownloadDialog

interface RewardView : IBaseView{
     fun showLoadingDialog() = Unit
     fun hideLoadingDialog() = Unit
     fun onRewardResponse(view: View?,pageCount:Int) = Unit
     fun onRewardTimeOut() = Unit
     fun showRewardDownloadDialog(apullItemWrapper: ApullItemWrapper,
                                      mDownloadListener: RewardDownloadDialog.DownloadListener) = Unit
     fun dismissRewardDownloadDialog() = Unit
     fun showChanceResultDownloadDialog(rewardInfo : RewardUtils.RewardInfo?) = Unit
     fun showFailResultDownloadDialog(rewardInfo: RewardUtils.RewardInfo?,status: Int,rewardType:Int) = Unit
     fun startRewardCommit(rewardInfo: RewardUtils.RewardInfo?) = Unit
     fun showRewardResultDialog(rewardInfo: RewardUtils.RewardInfo?,succeed:Boolean,shareCanTryAgain:Boolean) = Unit
     fun onBackPressedDownDialog(rewardInfo: RewardUtils.RewardInfo?) = Unit
     fun popupLoginDialog() = Unit
     fun popupAuthGuideDialog(desc:String,code :Int) = Unit
     fun refreshTryResultStatus(rewardInfo: RewardUtils.RewardInfo?) = Unit
}
